package cn.fw.shirasawa.common.constant;

/**
 * redis的lua脚本
 *
 * @author : kurisu
 * @version : 1.0
 * @className : LuaScript
 * @description : redis的lua脚本
 * @date : 2023-03-23 10:44
 */
public interface LuaScript {
    String LUR_SCRIPT_INCR_EX = "local val = 1\n" +
            "local key = KEYS[1]\n" +
            "local inc = ARGV[1]\n" +
            "local exp = ARGV[2]\n" +
            "if inc == nil then\n" +
            "    inc = 1\n" +
            "end\n" +
            "if redis.call('EXISTS', key) == 1 then\n" +
            "    return redis.call('INCRBY', key, inc)\n" +
            "else\n" +
            "    redis.call('SET', key, val, 'NX', 'PX', exp)\n" +
            "    return val\n" +
            "end";
    String LUR_SCRIPT_INCR_EXAT = "local val = 1\n" +
            "local key = KEYS[1]\n" +
            "local inc = ARGV[1]\n" +
            "local exp = ARGV[2]\n" +
            "if inc == nil then\n" +
            "    inc = 1\n" +
            "end\n" +
            "if redis.call('EXISTS', key) == 1 then\n" +
            "    return redis.call('INCRBY', key, inc)\n" +
            "else\n" +
            "     redis.call('SET', key, val, 'NX', 'PXAT', exp)\n" +
            "     return val\n" +
            "end";
}
