package cn.fw.shirasawa.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 报表饼图数据
 *
 * @author : kurisu
 * @version : 1.1.2
 * @desc : 报表饼图数据
 * @date : 2023-08-24 14:35
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ViewDataVO {
    /**
     * 值
     */
    private Number value;
    /**
     * 描述
     */
    private String desc;
    /**
     * 占比
     */
    private BigDecimal ratio;
}
