package cn.fw.shirasawa.service.data;

import cn.fw.shirasawa.domain.db.follow.FollowTask;
import cn.fw.shirasawa.domain.dto.FollowPoolDTO;
import cn.fw.shirasawa.domain.query.FollowPoolQueryVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author : kurisu
 * @className : FollowTaskService
 * @description : 跟进任务
 * @date: 2020-08-12 11:04
 */
public interface FollowTaskService extends IService<FollowTask> {

    /**
     * 跟进池查询
     *
     * @param queryVO
     * @return
     */
    List<FollowPoolDTO> followList(FollowPoolQueryVO queryVO);

    /**
     * 跟进池查询总数
     *
     * @param queryVO
     * @return
     */
    long followListCount(FollowPoolQueryVO queryVO);
}
