package cn.fw.shirasawa.service.property;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.HashMap;

/**
 * 待办配置
 *
 * @author : kurisu
 * @version : 1.1
 * @className : FollowConfig
 * @description : 待办配置
 * @date : 2023-04-06 16:26
 */
@Data
@ConfigurationProperties(prefix = "follow.todo")
@Component
public class FollowTodoProperty {
    private Integer singleTypeMaxLimit;
    private Integer accTodoTimeliness;
    private String failedPrefix;
    private HashMap<String, String> codeMap;
}
