package cn.fw.shirasawa.domain.db.follow;

import cn.fw.common.data.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDate;

/**
 * 任务下次跟进计划
 *
 * @author : kurisu
 * @version : 1.1
 * @className : TaskNextPlan
 * @description : 任务下次跟进计划
 * @date : 2023-04-03 14:54
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class TaskNextPlan extends BaseEntity<TaskNextPlan, Long> {
    /**
     * 任务id
     */
    private Long taskId;
    /**
     * 计划时间
     */
    private LocalDate planTime;
    /**
     * 有效
     */
    private Boolean effective;
}
