package cn.fw.shirasawa.domain.vo.follow;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * @author : kurisu
 * @className : ACDetailVO
 * @description : 事故车跟进详情
 * @date: 2020-08-17 15:17
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class MADetailVO extends FollowDetailVO {
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 专属顾问
     */
    private String adviserName;
    /**
     * 购车日期
     */
    private LocalDateTime buyDate;
}
